Endpoint
Parâmetros
integer
Limita o número de clientes retornados. Padrão:
10, máximo: 100.integer
Número da página a ser retornada. Padrão:
1.Resposta
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retorna uma lista de todos os clientes cadastrados
curl -G https://api.upag.io/v1/customers \
-H "Authorization: Bearer {token}" \
-d page=1 \
-d limit=10
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
const customers = await upag.customers.list({
limit: 10,
offset: 0
});
10, máximo: 100.1.{
"data": [
{
"id": "cus_ahwDXrgYvur89iPs",
"livemode": false,
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "+5511999999999",
"taxId": "12345678900",
"line1": "Rua Example, 123",
"line2": "Apto 45",
"city": "São Paulo",
"state": "SP",
"country": "BR",
"zipCode": "01234567",
"createdAt": 1731622178441,
"updatedAt": 1731622178441
}
],
"total": 1
}